[arch-commits] Commit in wvdial/trunk (PKGBUILD)

Allan McRae allan at archlinux.org
Fri Jun 19 22:19:03 EDT 2009


    Date: Friday, June 19, 2009 @ 22:19:03
  Author: allan
Revision: 43140

upgpkg: wvdial 1.60-3
    rebuild for wvstreams update

Modified:
  wvdial/trunk/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-19 23:22:15 UTC (rev 43139)
+++ PKGBUILD	2009-06-20 02:19:03 UTC (rev 43140)
@@ -4,21 +4,23 @@
 
 pkgname=wvdial
 pkgver=1.60
-pkgrel=2
+pkgrel=3
 pkgdesc="A dialer program to connect to the Internet"
 arch=('i686' 'x86_64')
 license=('custom')
 depends=('wvstreams>=4.4.1-2' 'ppp' 'xplc')
-source=(http://alumnit.ca/download/${pkgname}-${pkgver}.tar.gz)
+source=(http://alumnit.ca/download/${pkgname}-${pkgver}.tar.gz
+        wvdial-1.60-build.patch)
 url="http://alumnit.ca/wiki/index.php?page=WvDial"
-md5sums=('27fbbde89f8fd9f6e735a8efa5217fc9')
+md5sums=('27fbbde89f8fd9f6e735a8efa5217fc9'
+         '1ff24bcd8fa83fa7f8dddc8ce6734b07')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  #mkdir -p $startdir/pkg/usr/bin $startdir/pkg/etc/ppp/peers
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/wvdial-1.60-build.patch || return 1
   sed "s|prefix=.*|prefix=$startdir/pkg/usr|" -i Makefile || return 1
   sed "s|PPPDIR=.*|PPPDIR=$startdir/pkg/etc/ppp/peers|" -i Makefile || return 1
-  make PREFIX=${startdir}/pkg/usr || return 1
-  make PREFIX=${startdir}/pkg/usr PPPDIR=${startdir}/pkg/etc/ppp/peers install
-  install -Dm644 COPYING.LIB ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING.LIB
+  make PREFIX=${pkgdir}/usr || return 1
+  make PREFIX=${pkgdir}/usr PPPDIR=${pkgdir}/etc/ppp/peers install
+  install -Dm644 COPYING.LIB ${pkgdir}/usr/share/licenses/${pkgname}/COPYING.LIB
 }



More information about the arch-commits mailing list